class 'M3AbilityItem' (M3Item)
-------------------------------------------------------------------------------

function M3AbilityItem:__init(id, name, pTimer, ability)
    M3Item.__init(self, id, name, pTimer)
    
    self.ability = ability
    self.bCombinable = false
    self.bChargeable = false
    self.bExplodable = false
    self.bPassable   = true
end
-------------------------------------------------------------------------------

function M3AbilityItem:pass()
    self.bFalling  = false
    
    local scrX = self.anchor:getScrX()
    local scrY = self.anchor:getScrY()
    
    self.anchor:attachTo(current_scene:getPlayField():getMainEntity())
    self.anchor:setOrder(200)
    self.anchor:setScrXY(scrX, scrY)
    
    self.anchor:Move(0, M3Cell.CELL_SIZE, M3Item.MOVE_TIME)
end
-------------------------------------------------------------------------------